#ifndef _PUNQ_H_
#define _PUNQ_H_

#include <qrect.h>
#include <qlist.h>
#include <qpixmap.h>
#include "game.h"
#include "scene.h"
#include "visor.h"
#include "pulga.h"

extern	Visor*	theView;
extern	Game*	theGame;
extern	Pulga*	thePulga;

// -------------------------------------------------

void	get_last_level ();
void	set_last_level (int l);
void	set_info_level (const char* info);

// -------------------------------------------------

extern int	bjump_pressed;
extern unsigned	bjump_frame;
extern double	jump_force;
extern bool	key_up, key_down, key_left, key_right;

// -------------------------------------------------

void	buttonsOn	();
void	buttonsOff	();

// -------------------------------------------------

#endif
