#ifndef _SCENE_H_
#define _SCENE_H_
#include "game.h"

class ScePresenta : public Scene {
	public:
		bool	enter();
		void	leave();
		void	advance();
	protected:
		unsigned eframe;
		float	fuerza;
	};

class SceJuega : public Scene {
	public:
		bool	enter();
		void	leave();
		void	advance();
	protected:
		bool	fgate;
	};

class SceExito : public Scene {
	public:
		bool	enter();
		void	leave();
		void	advance();
	protected:
		unsigned eframe;
	};

class SceFracaso : public Scene {
	public:
		bool	enter();
		void	leave();
		void	advance();
	protected:
		unsigned eframe;
	};

class SceFinal : public Scene {
	public:
		bool	enter();
		void	leave();
		void	advance();
	protected:
		unsigned eframe;
	};

extern	ScePresenta	sce_presenta;
extern	SceJuega	sce_juega;
extern	SceExito	sce_exito;
extern	SceFracaso	sce_fracaso;
extern	SceFinal	sce_final;

#endif
