#ifndef _SPRITE_H_
#define _SPRITE_H_
#include <qcanvas.h>

//#define	BRDEBUG

class Game;

class Sprite: public QCanvasSprite {
	public:
			Sprite		(Game*);
		int	mapCollides	();
		void	kill		();
		enum	{
			_KILLED =	0x01
			};
	protected:
		int	flags;
#ifdef BRDEBUG
		void	draw ( QPainter & painter );
#endif
	};

// -------------------------------------------------------------------

int			add_pixmaps (
				QList<QPixmap> &qpm,
				const char* fname,
				int cols, int rows,
				int width, int height
				);

void			add_points (
				QList<QPoint> &qpt, int n,
				double x, double y
				);

QCanvasPixmapArray*	load_pixmap_array (
				const char *fname,
				int cols, int rows,
				int width, int height
				);

#endif
