#include "ortomac.inc"


OrtoCamera(image_width,image_height,0,0)
//OrtoCamera(image_width,image_width*3/4,0,0)
OrtoLightS()

#declare SKALE=16;
#include "carnivora.inc"

//-----------------------------------------------------------------

#declare DX=SKALE*2+2;
#declare DY=SKALE*2;
#declare X0=-image_width/2+DX/2;
#declare Y0=+image_height/2-DY+1;

#macro POS(I,J)
	<X0+I*DX,Y0-J*DY, 0>
#end

object	{ Carnivora( 20,  0,-20,-20,  0.5) translate POS(0,0) }
object	{ Carnivora( 10,  0,-10,-10,  0.5) translate POS(1,0) }
object	{ Carnivora(  0,  0,  0,  0,  0.5) translate POS(2,0) }
object	{ Carnivora(-10,  0, 10, 10,  0.5) translate POS(3,0) }
object	{ Carnivora(-12,  0, 20, 20,  0.5) translate POS(4,0) }

object	{ Carnivora( 20,  0,-20,-20,  6  ) translate POS(0,1) }
object	{ Carnivora( 10,  0,-10,-10,  6  ) translate POS(1,1) }
object	{ Carnivora(  0,  0,  0,  0,  6  ) translate POS(2,1) }
object	{ Carnivora(-10,  0, 10, 10,  6  ) translate POS(3,1) }
object	{ Carnivora(-12,  0, 20, 20,  6  ) translate POS(4,1) }

object	{ Carnivora( 20,  0,-20,-20,  13 ) translate POS(0,2) }
object	{ Carnivora( 10,  0,-10,-10,  13 ) translate POS(1,2) }
object	{ Carnivora(  0,  0,  0,  0,  13 ) translate POS(2,2) }
object	{ Carnivora(-10,  0, 10, 10,  13 ) translate POS(3,2) }
object	{ Carnivora(-12,  0, 20, 20,  13 ) translate POS(4,2) }

object	{ Carnivora( 20,  0,-20,-20,  19 ) translate POS(0,3) }
object	{ Carnivora( 10,  0,-10,-10,  19 ) translate POS(1,3) }
object	{ Carnivora(  0,  0,  0,  0,  19 ) translate POS(2,3) }
object	{ Carnivora(-10,  0, 10, 10,  19 ) translate POS(3,3) }
object	{ Carnivora(-12,  0, 20, 20,  19 ) translate POS(4,3) }

object	{ Carnivora( 20,  0,-20,-20,  25 ) translate POS(0,4) }
object	{ Carnivora( 10,  0,-10,-10,  25 ) translate POS(1,4) }
object	{ Carnivora(  0,  0,  0,  0,  25 ) translate POS(2,4) }
object	{ Carnivora(-10,  0, 10, 10,  25 ) translate POS(3,4) }
object	{ Carnivora(-12,  0, 20, 20,  25 ) translate POS(4,4) }

// object { Carnivora( 20,  0,-20,  0, 30) translate < DX,DY,0> }
