#include "ortomac.inc"

OrtoCamera(image_width,image_height,0,0)
//OrtoCamera(image_width,image_width*3/4,0,0)

light_source { <10000, 1000, -18000> color White }
//OrtoLightS()

// ----------------------------------------------

#declare T_0 = texture {
	pigment { color rgb <1,1,0.25> }
	finish	{ ambient 0.2 diffuse 0.8 specular 0.9 phong 1 phong_size 300 }
	}

// ----------------------------------------------

#macro Estrella0(A,B,C)
#local I=0;
prism	{
	0, C, 10
	#while (I<5)
		#local X=cos(2*pi*I/5);
		#local Y=sin(2*pi*I/5);
		, <X*A,Y*A>
		#local X=cos(2*pi*(I+0.5)/5);
		#local Y=sin(2*pi*(I+0.5)/5);
		, <X*B,Y*B>
		#local I=I+1;
	#end
	rotate	-y*90
	rotate x*90
	}
/*
sphere	{
	<0, 0, 0> 40
	texture { T_0 }
	}
*/
#end

// ----------------------------------------------
#declare R=40;
#declare L=10;

#declare K=(3-sqrt(5))/2;

#declare L2=L*K;
#declare G=R-sqrt((R*R)-(L*L));

#declare Estrella2 = intersection {
	Estrella0(L2,L,-G)
	sphere { <0,0,R-G> R }
	}

#declare Estrella =  union
	{
	object{Estrella2}
	object{Estrella2 rotate y*180}
	texture { T_0 }
	}

#declare S=L*2;
#declare CI=11;
#declare I=0;
#declare X=-S*CI/2+L;

#while(I<CI)
	object { Estrella rotate y*(I*180/(CI+1)) translate <X+S*I,0,0> }
	#declare I=I+1;
#end
