#include "ortomac.inc"

OrtoCamera(image_width,image_height,0,0)
//OrtoCamera(image_width,image_width*3/4,0,0)
OrtoLightS()

// ----------------------------------------------


#declare T_Flecha = texture {
	pigment { color rgb <0,0.25,1> }
	finish	{ ambient 0.3 }
	}

#declare T_Fondo = texture {
	pigment { color rgb <1,1,1> }
	finish	{ ambient 0.2 }
	}

// ----------------------------------------------

#macro Bola()
sphere	{
	<0,0,0> 0.5
	texture { T_Flecha }
	scale <14,14,3>
	}
#end

#macro Flecha(A1)
cone	{
	<0,0,0> 0.5 <0,1,0> 0
	texture { T_Flecha }
	rotate z*A1
	scale <14,14,3>
	}
#end

#declare W=15;
#declare H= -3;

plane	{
	<0,0,1> 20
	texture { T_Fondo } 
	}

object	{
	Bola()
	translate <0,0,0>
	}
object	{
	Flecha(45)
	translate <-W,H,0>
	}
object	{
	Flecha(-45)
	translate < W,H,0>
	}
