#ifdef QWS
#include <qpeapplication.h>
#else
#include <qapplication.h>
#endif
#include <qpushbutton.h>
#include "punq.h"
#include "wmain.h"
#include "mosca.h"
#include "pulga.h"


// -----------------------------------------------------

QList<QPixmap> qpm_icons;

QPixmap& get_icon(int id)
{
if(id <0 || id >2)
	id = 1;
return *qpm_icons.at(id);
}

bool init_icons()
{
qpm_icons.setAutoDelete(true);
if(add_pixmaps(qpm_icons, "iconos.png", 3, 1, 18, 18))
	return true;
return false;
}

// -----------------------------------------------------
bool init_mapas();

bool init_game()
{
if(!init_icons())
	return false;
if(!init_mapas())
	return false;
return true;
}

// -----------------------------------------------------

int main( int argc, char **argv )
{
#ifdef QWS
QPEApplication a( argc, argv );
#else
QApplication a( argc, argv );
#endif
if(init_game())
	{
	WMain	wm;
#ifdef QWS
	a.showMainWidget(&wm);
#else
	a.setMainWidget(&wm);
	wm.show();
#endif
	theView->setView(0,0);
	return a.exec();
	}
return -1;
}
