#ifndef _MAPA_H_
#define _MAPA_H_

#include <stdio.h>

typedef unsigned char CTile;

class Mapa {
	public:
		int	width, height;
		CTile	mask_tile,
			mask_test,
			mask_attr;
		CTile*	mapa;

	inline	CTile	*tile	(int x, int y)	{ return mapa+y*width+x; }
	inline	int	collides(int x, int y)	{ return (*(mapa+y*width+x))&mask_test; }

			Mapa	();
			~Mapa	();

		bool	read	(FILE* fp);
		bool	copy	(Mapa &source);
		bool	alloc	(int width, int height);
		void	free	();
		void	fill	(CTile c);
	};

class MapaSet {
	public:
		int	nmapas;
		Mapa*	mapas;

			MapaSet		();
			~MapaSet	();
		int	load		(char* fname);
	};

#endif
