#ifndef _PULGA_H_
#define _PULGA_H_

#include "sprite.h"
#include "animatic.h"


class Pulga: public Sprite {
	public:
			Pulga		(int x, int y);
			~Pulga();
		void	ready		(bool left);
		void	jump		(double fuerza);

		void	advance		( int stage );
		int	rtti		() const { return 1001; }
		QRect	boundingRect	() const;

		int	status;
		enum	{
			REPOSO, PREPARADO, SALTANDO1, SALTANDO2, CAYENDO
			};

	protected:
	static	bool		init	();
		int		schok;
		Animatic	ani;
	};


#endif
