#ifndef _VISOR_H_
#define _VISOR_H_

#include <qcanvas.h>



class Visor: public QCanvasView {
	public:
		int	x0, y0, x1, y1, dx, dy;
		bool	mpress;
		int	mx, my;

			Visor		(QWidget *parent, const char *name);
			~Visor		();
		void	setView		(int x, int y, bool update=true);
		void	showRect	(const QRect &rec, bool update=true);
		void	updateView	();

	protected:
		void	viewportMousePressEvent		(QMouseEvent* e);
		void	viewportMouseReleaseEvent	(QMouseEvent* e);
		void	viewportMouseMoveEvent		(QMouseEvent* e);
	};

QPixmap& get_icon(int id);

#endif

