#include "ortomac.inc"

#declare TEST=0;

OrtoCamera(image_width,image_height,0,0)
//OrtoCamera(image_width,image_width*3/4,0,0)
OrtoLightS()

#include "mosca.inc"

// ----------------------------------------------

#if(TEST=1)

object	{
	Mosca(-10,10,80,20,-50)
	rotate <-90, 50 ,0>
	translate -y*4
	scale 20
//	translate <X0+I*W,Y0+J*H,0>
	}

#else

#declare W=36;
#declare H=32;
#declare CI=8;
#declare CJ=8;
#declare A1= -50;
#declare A2=  50;

/*
sphere {<0,0,0> 3 texture {T_Abdomen} }
sphere {<10,10,0> 3 texture {T_Torax} }
sphere {<image_width/2,image_height/2,0> 5 texture {T_Torax} }
*/

#declare X0=-image_width/2+W/2;
#declare Y0=-image_height/2+H/2;
#declare D=180/(CI+1);
#declare E=(A2-A1)/(CJ-1);
#declare I=0;
#while(I<CI)
	#declare J=0;
	#while(J<CJ)
//		sphere {<X0+I*W,Y0+J*H,0> 1 texture {T_Cabeza} }
		object	{
			Mosca(-10,10,80,20,-50+J*E)
			rotate <-90, 90-D-I*D ,0>
			translate <X0+I*W,Y0+J*H,0>
			}
		#declare J=J+1;
	#end
	#declare I=I+1;
#end

#end
