#include "colors.inc"

global_settings {
	assumed_gamma 1.0
	}

#macro OrtoCamera(DX,DY,OX,OY)
camera	{
	orthographic
//	right x*DX/DY
	right <image_width,0,0>
	up <0,image_height,0>
	location <OX,OY,-DY>
	look_at <OX,OY,0>
	}
#end

#macro OrtoLight()
light_source { <10000, 20000, -10000> color White shadowless}
#end

#macro OrtoLightS()
light_source { <10000, 20000, -10000> color White }
#end

#macro OrtoGiro()
	rotate y*45 rotate -x*45
#end

#macro OrtoGiroI()
	rotate -y*45 rotate -x*45
#end

#macro OrtoGiroU()
	rotate y*45 rotate x*45
#end

#macro OrtoGiroUI()
	rotate -y*45 rotate x*45
#end

