#include "punq.h"
#include "bonus.h"
#include "estrella.h"

QCanvasPixmapArray *qpa_bonus = 0;

// -----------------------------------------------------

int Bonus::count =0;

Bonus::Bonus(int x, int y):Sprite(theGame) 
{
if(!qpa_bonus)
	qpa_bonus=load_pixmap_array("fruta.png", 1, 1, 22, 22);
setSequence(qpa_bonus);
setX(x);
setY(y);
setZ(10);
setFrame(0);
setVisible(true);
setVelocity(1,1);
setVelocity(0,0);
count++;
}

Bonus::~Bonus()
{
count--;
}

void Bonus::advance ( int stage )
{
if(!stage)
	{
	if(boundingRect().intersects(thePulga->boundingRect()))
		{
		new Estrella(x(), y());
		kill();
		}
	}
}
