#include <stdlib.h>
#include "punq.h"
#include "carnivora.h"

QCanvasPixmapArray *qpa_carnivora = 0;

// -----------------------------------------------------

unsigned char ani_carni[] = {
	0, 1, 2, 3, 4, 3, 2, 1, 0,
	Animatic::End };

Carnivora::Carnivora(int x, int y):Sprite(theGame)
{
if(!qpa_carnivora)
	qpa_carnivora = load_pixmap_array("carnivora.png", 5, 5, 34, 32);
setSequence(qpa_carnivora);
setX(x);
setY(y);
setZ(10);
setVisible(true);
ani1.setSequence(ani_carni,3);
ani1.setLoop(true);
ani2.setSequence(ani_carni,4);
ani2.setLoop(true);
setVelocity(1,0);
setVelocity(0,0);
}

void Carnivora::advance ( int stage )
{
if(stage)
	{
	setFrame(ani1.frame*5+ani2.frame);
	ani1.advance();
	ani2.advance();
	}
else	{
	if(theGame->scene() == &sce_juega && boundingRect().intersects(thePulga->boundingRect()))
		{
		theGame->setScene(&sce_fracaso);
		}
	int m=rand();
	if(!(m&0xF0))
		{
		if(m&1)	ani1.setRun(true);
		if(m&2)	ani2.setRun(true);
		if(m&4)	ani1.setRun(false);
		if(m&8)	ani2.setRun(false);
		}
	}
}
