#include "punq.h"
#include "estrella.h"

QCanvasPixmapArray *qpa_estrella = 0;

unsigned char ani_gira[] = {
	0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10,
	Animatic::End };

// -----------------------------------------------------

Estrella::Estrella(int x, int y):Sprite(theGame)
{
if(!qpa_estrella)
	qpa_estrella=load_pixmap_array("estrella.png", 11, 1, 20, 20);
setSequence(qpa_estrella);
setX(x);
setY(y);
setZ(0);
setFrame(0);
setVisible(true);
setVelocity(0,-1);
ani.setSequence(ani_gira, 3);
ani.setRun(true);
ani.setLoop(true);
}

void Estrella::advance (int stage)
{
if(stage)
	{
	setY(y()+yVelocity());
	setFrame(ani.frame);
	ani.advance();
	}
else	{
	if(y()<0)
		kill();
	}
}

Estrella2::Estrella2(int x, int y, int pausa) : Estrella(x,y)
{
setVelocity(0,0);
setVisible(false);
count = -pausa;
}

void Estrella2::advance (int stage)
{
if(stage)
	{
	if(count<0)
		count++;
	else	{
		if(count==0)
			{
			theGame->setMapTile(x(),y(),0);
			setVisible(true);
			}
		setFrame(ani.frame);
		ani.advance();
		if(count>100)
			kill();
		count++;
		}
	}
}
