#include "punq.h"
#include "fuerza.h"

// -----------------------------------------------------


#define	FH	6
#define	FX	(theView->x1-5)
#define	FY	(theView->y1-5-FH)

#define	FK	0.2
#define	FM	8.0
#define	FV	(theView->dx-10)

double jump_force = 0;

Fuerza::Fuerza():QCanvasRectangle(theGame)
{
setX(FX);
setY(FY);
setZ(30);
setSize(0,FH);
setPen(QColor(0,0,0));
setBrush(QColor(255,255,255));
setVisible(true);
setVelocity(0, 1);
setVisible(false);
}

void Fuerza::advance (int stage)
{
if(stage)
	{
	if(bjump_pressed)
		{
		int	dx;
		double	f = int(theGame->cur_frame-bjump_frame)*FK;
		if(f>FM)
			jump_force = FM;
		else	jump_force = f;
		dx = int(jump_force*(FV/FM));
		setX(FX-dx);
		setY(FY);
		setSize(dx, FH);
		setVisible(true);
		}
	else	{
		setSize(0, FH);
		setVisible(false);
		}
	}
}
