#include "punq.h"
#include "mosca.h"

QCanvasPixmapArray *qpa_mosca = 0;

// -----------------------------------------------------

Mosca::Mosca(int x, int y):Sprite(theGame) 
{
if(!qpa_mosca)
	qpa_mosca=load_pixmap_array("mosca.png", 8, 8, 36, 32);
setSequence(qpa_mosca);
idir=7;
isec=0;
setX(x);
setY(y);
setZ(10);
setFrame(0);
setVisible(true);
//setActive(true);
//setEnabled(true);
setVelocity(1, 0.5);
}

int secmo[] = { 0,1,2,3,4,5,6,7,6,5,4,3,2,1 };

void Mosca::advance (int stage)
{
double px = x()+xVelocity();
double py = y()+yVelocity();
if(stage)
	{
	setX(px);
	setY(py);
	if(xVelocity()<0)
		{
		if(idir>0) idir--;
		}
	else	{
		if(idir<15) idir++;
		}
	setFrame((idir>>1)*8+secmo[isec]);
	isec = (isec+1)%14;
	}
else	{
	if(theGame->scene() == &sce_juega && boundingRect().intersects(thePulga->boundingRect()))
		theGame->setScene(&sce_fracaso);
	int schok = theGame->mapCollides(boundingRectAdvanced());
	if(schok)
		{
		if(schok&CM_CENTER_LEFT)
			setXVelocity(1);
		else if(schok&CM_CENTER_RIGHT)
			setXVelocity(-1);
		if(schok&CM_CENTER_UP)
			setYVelocity(0.5);
		else if(schok&CM_CENTER_DOWN)
			setYVelocity(-0.5);
		}
	}
}
