#include "titulo.h"
#include "punq.h"

QFont font1("helvetica", 24, QFont::Bold);

#define	INIX	119
#define	INIY	320
#define	INIZ	0

Titulo::Titulo (const QString &txt) : QCanvasText(txt, font1, theGame)
{
setX(INIX);
setY(INIY);
setZ(INIZ);
setColor(QColor(255,255,0));
setTextFlags(Qt::AlignHCenter);

QRect rec = boundingRect();		//
if(rec.x()==INIX)			// necesario en QT3
	setX(INIX-rec.width()/2);	//

setVisible(true);
setVelocity(0,-10);
}

void Titulo::advance (int stage)
{
if(stage)
	{
	QCanvasText::advance(stage);
	}
else	{
//	if(y()<10)
	if(yVelocity()>=0)
		setYVelocity(0);
	else	setYVelocity(yVelocity()+0.16);
	}
}
