#include <stdio.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include "punq.h"
#include "wmain.h"

Game*	theGame;
Visor*	theView;

int	jugando=0;

// -----------------------------------------------------

WMain *theMain;

void buttonsOn()
{
if(theGame->scene() == &sce_juega)
	{
	theMain->but1->setEnabled(true);
	theMain->but2->setEnabled(true);
	}
}

void buttonsOff()
{
theMain->but1->setEnabled(false);
theMain->but2->setEnabled(false);
}

#define	BUTL	22

WMain::WMain()
{
theMain = this;
#ifndef QWS
setFixedSize(WDX,WDY);
setWFlags(Qt::WStyle_NoBorder|Qt::WType_TopLevel|Qt::WStyle_SysMenu);
clearWFlags(Qt::WStyle_Maximize);
#endif
theGame = new Game();
theView = cview;
cview->setCanvas(theGame);
theGame->setScene(&sce_presenta);
but0->setFixedSize(BUTL,BUTL);
but1->setFixedSize(BUTL,BUTL);
but2->setFixedSize(BUTL,BUTL);
//connect(but0, SIGNAL(clicked()), SLOT(butPlay()));
connect(but0, SIGNAL(pressed()), SLOT(butPlay()));
connect(but1, SIGNAL(pressed()), SLOT(butLeftPressed()));
connect(but2, SIGNAL(pressed()), SLOT(butRightPressed()));
connect(but1, SIGNAL(released()), SLOT(butReleased()));
connect(but2, SIGNAL(released()), SLOT(butReleased()));
buttonsOff();
setFocusPolicy(QWidget::StrongFocus);
}

WMain::~WMain()
{
delete theGame;
}

void WMain::butPlay()
{
void set_last_level(int l);
if(jugando)
	{
	set_last_level(1);
	theGame->setScene(&sce_presenta);
	}
else	{
	theGame->setScene(&sce_juega);
	}
jugando = !jugando;
}

int	bjump_pressed = 0;
unsigned bjump_frame;
bool	key_up, key_down, key_left, key_right;

void WMain::butLeftPressed()
{
jump_force = 0;
bjump_frame = theGame->cur_frame;
bjump_pressed = -1;
if(thePulga)
	thePulga->ready(true);
}

void WMain::butRightPressed()
{
jump_force = 0;
bjump_frame = theGame->cur_frame;
bjump_pressed = +1;
if(thePulga)
	thePulga->ready(false);
}

void WMain::butReleased()
{
if(thePulga)
	thePulga->jump(jump_force*bjump_pressed);
bjump_pressed = 0;
}

void set_info_level (const char* info)
{
theMain->l_info->setText(info);
}

void WMain::keyPressEvent (QKeyEvent *e)
{
switch(e->key())
	{
	case Qt::Key_Up:	key_up = true; break;
	case Qt::Key_Down:	key_down = true; break;
	case Qt::Key_Left:	key_left = true; break;
	case Qt::Key_Right:	key_right = true; break;
//	case Qt::Key_Return:
	}
}

void WMain::keyReleaseEvent (QKeyEvent *e)
{
switch(e->key())
	{
	case Qt::Key_Up:	key_up = false; break;
	case Qt::Key_Down:	key_down = false; break;
	case Qt::Key_Left:	key_left = false; break;
	case Qt::Key_Right:	key_right = false; break;
//	case Qt::Key_Return:
	}
}
